# H225_AddressPattern Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_wildcard, e_range }

## Public Member Functions

| H225_AddressPattern (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_AliasAddress & ()
| operator const H225_AliasAddress & () const
| operator H225_AddressPattern_range & ()
| operator const H225_AddressPattern_range & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_AddressPattern::Choices

Enumerator:

  e_wildcard |
  e_range |

## Constructor & Destructor Documentation

H225_AddressPattern::H225_AddressPattern | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_AddressPattern::operator H225_AliasAddress & | ( |  | ) |

H225_AddressPattern::operator const H225_AliasAddress & | ( |  | ) | const

H225_AddressPattern::operator H225_AddressPattern_range & | ( |  | ) |

H225_AddressPattern::operator const H225_AddressPattern_range & | ( |  | ) | const

PBoolean H225_AddressPattern::CreateObject | ( |  | ) |

PObject* H225_AddressPattern::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h